[SCM] Debian packaging for apache2 branch, master, updated. debian/2.4.4-2-121-gdf90ce1

Arno Töll arno at debian.org
Fri Jun 7 16:45:35 UTC 2013


The following commit has been merged in the master branch:
commit 128294e9dfb3204d5193678526eb80a0b6f57407
Author: Arno Töll <arno at debian.org>
Date:   Fri Jun 7 17:20:44 2013 +0200

    Yet another symlink hack in maintainer scripts to link docs because dpkg does not want. This one is ugly in debian/rules but let's make this nicer later

diff --git a/debian/libapache2-mod-proxy-html.postinst b/debian/apache2-mpm.postinst.in
similarity index 76%
copy from debian/libapache2-mod-proxy-html.postinst
copy to debian/apache2-mpm.postinst.in
index 1985977..562f846 100644
--- a/debian/libapache2-mod-proxy-html.postinst
+++ b/debian/apache2-mpm.postinst.in
@@ -1,5 +1,5 @@
 #! /bin/bash
-# postinst script for libapache2-mod-proxy-html
+# postinst script for apache2-mpm-__TYPE__
 #
 # see: dh_installdeb(1)
 
@@ -20,12 +20,12 @@ set -e
 
 case "$1" in
     configure)
-        if [ -n "$2" ] && dpkg --compare-versions "$2" lt "1:2.4.4-2" ; then
-                if [ -d /usr/share/doc/libapache2-mod-proxy-html ] ; then
+        if [ -n "$2" ] && dpkg --compare-versions "$2" lt "2.4.4-4" ; then
+                if [ -d /usr/share/doc/apache2-mpm-__TYPE__ ] ; then
                         RET=0
-                        rmdir /usr/share/doc/libapache2-mod-proxy-html > /dev/null 2>&1|| RET=$?
+                        rmdir /usr/share/doc/apache2-mpm-__TYPE__ > /dev/null 2>&1|| RET=$?
                         if [ $RET = 0 ] ; then
-                                ln -s /usr/share/doc/apache2 /usr/share/doc/libapache2-mod-proxy-html
+                                ln -s /usr/share/doc/apache2 /usr/share/doc/apache2-mpm-__TYPE__
                         fi
                 fi
         fi
diff --git a/debian/changelog b/debian/changelog
index 16e50b5..2a2b73f 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -27,8 +27,10 @@ apache2 (2.4.4-6) UNRELEASED; urgency=low
     environments (e.g. Perl maintainer scripts). Thanks to Robert Luberda
     for doing unexpected things, and providing patches for it, and to Axel
     Beckert for demangling shell specifics (Closes: #711479)
+  * Fix "copyright file missing after upgrade (policy 12.5)" and add these for
+    MPM transitional packages (Closes: #710914)
 
- -- Arno Töll <arno at debian.org>  Fri, 07 Jun 2013 16:47:22 +0200
+ -- Arno Töll <arno at debian.org>  Fri, 07 Jun 2013 16:56:44 +0200
 
 apache2 (2.4.4-5) unstable; urgency=low
 
diff --git a/debian/clean b/debian/clean
index ebbc63d..bde0e61 100644
--- a/debian/clean
+++ b/debian/clean
@@ -10,6 +10,10 @@ debian/apache2-suexec-pristine.prerm
 debian/apache2-suexec-pristine.links
 debian/apache2-suexec-pristine.dirs
 debian/apache2-suexec-pristine.lintian-overrides
+debian/apache2-mpm-event.postinst
+debian/apache2-mpm-itk.postinst
+debian/apache2-mpm-prefork.postinst
+debian/apache2-mpm-worker.postinst
 debian/a2query
 debian/manpages/a2query.8
 debian/manpages/dh_apache2.1
diff --git a/debian/rules b/debian/rules
index 3ab70bd..35621eb 100755
--- a/debian/rules
+++ b/debian/rules
@@ -68,6 +68,16 @@ generate-maintainer-scripts:
 			fi ;\
 		done ;\
 	done
+	set -e ; \
+	for type in worker itk prefork event ; do \
+		for f in postinst preinst prerm links dirs lintian-overrides postrm; do \
+			if [ -e debian/apache2-mpm.$$f.in ] ; then \
+				perl -pe "s{__TYPE__}{$$type}g" < debian/apache2-mpm.$$f.in > debian/apache2-mpm-$$type.$$f ;\
+				chmod `/usr/bin/stat -c '%a' "debian/apache2-mpm.$$f.in"` debian/apache2-mpm-$$type.$$f ;\
+			fi ;\
+		done ;\
+	done
+
 
 clean build build-arch build-indep binary binary-arch binary-indep: %:
 	dh $@ --parallel --with autotools_dev

-- 
Debian packaging for apache2



More information about the Pkg-apache-commits mailing list